apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: neon-vortex
  namespace: neonvortex
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
spec:
  ingressClassName: nginx
  rules:
  - host: nv.caffeinetux.com
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: neon-vortex
            port:
              number: 80
  tls:
  - hosts:
    - nv.caffeinetux.com
    secretName: neon-vortex-tls
